# Copyright 2017, Solutionario Private Limited

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#-----------------------------------------------------------------------------
# Name        :   Sentio
# Description :   Saves your model in Sentio server that can be viewed in
#                 Sentio's Samsung Gear,Oculus GO or Oculus Quest application.
# Menu Item   :   N/A
# Context Menu:   N/A
# Usage       :   Extensions->Sentio
# Date        :   12/02/2018
# Type        :   N/A
#-----------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'


module Solutionario
  module Sentio
    VERSION = "1.0.0"

    unless file_loaded?(__FILE__)

      ext = SketchupExtension.new("Lib-Embed", "source/main");

      ext.description = "Tests the library embedding";
      ext.version = VERSION;
      ext.creator = "Solutionario";
      ext.copyright = "2022, Solutionario";

      # Register the extension with Sketchup.
      Sketchup.register_extension(ext, true);

      file_loaded(__FILE__);;

    end
  end
end
